| 1.0.2 API documentation

Functions
pca.hpp File Reference

GLM_GTX_pca More...

Go to the source code of this file.

## Functions
template<length_t D, typename T , qualifier Q, typename I >
GLM_FUNC_DECL mat< D, D, T, Q > | computeCovarianceMatrix (I const &b, I const &e)
| Compute a covariance matrix form a pair of iterators `b` (begin) and `e` (end) of a container with relative coordinates (e.g., relative to the center of gravity of the object) Dereferencing an iterator of type I must yield a `vec<D, T, Qgt;`
template<length_t D, typename T , qualifier Q, typename I >
GLM_FUNC_DECL mat< D, D, T, Q > | computeCovarianceMatrix (I const &b, I const &e, vec< D, T, Q > const &c)
| Compute a covariance matrix form a pair of iterators `b` (begin) and `e` (end) of a container with absolute coordinates and a precomputed center of gravity `c` Dereferencing an iterator of type I must yield a `vec<D, T, Qgt;`
template<length_t D, typename T , qualifier Q>
GLM_INLINE mat< D, D, T, Q > | computeCovarianceMatrix (vec< D, T, Q > const *v, size_t n)
| Compute a covariance matrix form an array of relative coordinates `v` (e.g., relative to the center of gravity of the object) More...
template<length_t D, typename T , qualifier Q>
GLM_INLINE mat< D, D, T, Q > | computeCovarianceMatrix (vec< D, T, Q > const *v, size_t n, vec< D, T, Q > const &c)
| Compute a covariance matrix form an array of absolute coordinates `v` and a precomputed center of gravity `c` More...
template<length_t D, typename T , qualifier Q>
GLM_FUNC_DECL unsigned int | findEigenvaluesSymReal (mat< D, D, T, Q > const &covarMat, vec< D, T, Q > &outEigenvalues, mat< D, D, T, Q > &outEigenvectors)
| Assuming the provided covariance matrix `covarMat` is symmetric and real-valued, this function find the `D` Eigenvalues of the matrix, and also provides the corresponding Eigenvectors. More...
template<typename T , qualifier Q>
GLM_FUNC_DISCARD_DECL void | sortEigenvalues (vec< 2, T, Q > &eigenvalues, mat< 2, 2, T, Q > &eigenvectors)
| Sorts a group of Eigenvalues&Eigenvectors, for largest Eigenvalue to smallest Eigenvalue. More...
template<typename T , qualifier Q>
GLM_FUNC_DISCARD_DECL void | sortEigenvalues (vec< 3, T, Q > &eigenvalues, mat< 3, 3, T, Q > &eigenvectors)
| Sorts a group of Eigenvalues&Eigenvectors, for largest Eigenvalue to smallest Eigenvalue. More...
template<typename T , qualifier Q>
GLM_FUNC_DISCARD_DECL void | sortEigenvalues (vec< 4, T, Q > &eigenvalues, mat< 4, 4, T, Q > &eigenvectors)
| Sorts a group of Eigenvalues&Eigenvectors, for largest Eigenvalue to smallest Eigenvalue. More...

## Detailed Description

GLM_GTX_pca

See also
  Core features (dependence)
  GLM_EXT_scalar_relational (dependence)

Definition in file pca.hpp.